FrameScreenPosition
Date: 2014-08-08

meltinggui.frames

## Class FrameScreenPosition

- java.lang.Object
- - meltinggui.frames.FrameScreenPosition

- All Implemented Interfaces:
    java.io.Serializable

      public class FrameScreenPosition
      extends java.lang.Object
      implements java.io.Serializable

  The location on the screen of a `Frame` or `JInternalFrame`, together with whether it is maximized, iconified or hidden.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameScreenPosition()` Constructor with no arguments does nothing.
    `FrameScreenPosition(java.awt.Frame frame)` Instantiates the class and fills in the fields from a `Frame` object.
    `FrameScreenPosition(javax.swing.JInternalFrame internalFrame)` Instantiates the class and fills in the fields from a `JInternalFrame` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getScreenPosition(java.awt.Frame frame)` Fills in the fields from the current screen position of a `Frame` object.
    `void` | `getScreenPosition(javax.swing.JInternalFrame internalFrame)` Fills in the fields from the current screen position of a `JInternalFrame` object.
    `void` | `setScreenPosition(java.awt.Frame frame)` Sets up a `Frame` object using the stored fields.
    `void` | `setScreenPosition(javax.swing.JInternalFrame internalFrame)` Sets up a `JInternalFrame` object using the stored fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameScreenPosition

          public FrameScreenPosition()

      Constructor with no arguments does nothing.

    - #### FrameScreenPosition

          public FrameScreenPosition(java.awt.Frame frame)

      Instantiates the class and fills in the fields from a `Frame` object.

    - #### FrameScreenPosition

          public FrameScreenPosition(javax.swing.JInternalFrame internalFrame)

      Instantiates the class and fills in the fields from a `JInternalFrame` object.

  - ### Method Detail

    - #### getScreenPosition

          public void getScreenPosition(java.awt.Frame frame)

      Fills in the fields from the current screen position of a `Frame` object.
      Parameters:
        `frame` - The frame to fill in the fields from.

    - #### getScreenPosition

          public void getScreenPosition(javax.swing.JInternalFrame internalFrame)

      Fills in the fields from the current screen position of a `JInternalFrame` object.
      Parameters:
        `internalFrame` - The frame to fill in the fields from.

    - #### setScreenPosition

          public void setScreenPosition(java.awt.Frame frame)

      Sets up a `Frame` object using the stored fields.
      Parameters:
        `frame` - The frame to set the screen position of.

    - #### setScreenPosition

          public void setScreenPosition(javax.swing.JInternalFrame internalFrame)

      Sets up a `JInternalFrame` object using the stored fields.
      Parameters:
        `internalFrame` - The internal frame to set the screen position of.